%{!?log_dir:%define log_dir /%{_localstatedir}/log/slog}
%{!?sslogger_user:%define sslogger_user slogger}
%{!?sslogger_group:%define sslogger_group sloggers}

Summary: A keystroke logging utility for privileged user escalation
Name: sslogger
Version: 0.9
Release: 50%{?dist}
License: GPLv3+
Group: User Interface/Desktops
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
#BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://sslogger.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Requires: bash logrotate 
Requires(pre): shadow-utils util-linux
%description
A keystroke logging utility for privileged user escalation



%pre
getent group sloggers > /dev/null || groupadd  %{sslogger_group} -r &>/dev/null
getent passwd slogger > /dev/null ||/usr/sbin/useradd -c "Privilege keystroke logger"  %{sslogger_user} -s /sbin/nologin -r -M  -g sloggers -d %{log_dir} &>/dev/null

%prep
%setup -q
make clean

%build
export CFLAGS="$RPM_OPT_FLAGS -DLOG_DIR=%{_localstatedir}/log/slog -DCONF_FILE=%{_sysconfdir}/sslogger.conf"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_localstatedir}/log/slog
chmod 750 %{buildroot}/%{_localstatedir}/log/slog
make install DESTDIR=%{buildroot} VERSION=%{version}
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -p sslogger_rotate %{buildroot}%{_sysconfdir}/logrotate.d/sslogger

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/slog
%{_bindir}/sreplay
%attr (6555,%{sslogger_user},%{sslogger_group}) %{_bindir}/sslogger
%attr(775,%{sslogger_user},%{sslogger_group})  %{log_dir}
%config(noreplace) %{_sysconfdir}/sslogger.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/sslogger
%{_mandir}/man*/* 
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/TODO
%doc %{_docdir}/%{name}-%{version}/LICENSE

%changelog
* Sun Aug 23 2009 Ed Brand <edbrand@brandint.com> - 0.9-50
- fixed to logrotate

* Tue Jul 14 2009 Ed Brand <edbrand@brandint.com> - 0.9-49
- fixes to specfile: _sysconfdir

* Sat Jul 11 2009 Ed Brand <<edbrand@brandint.com> - 0.9-48
- Misc spec file fixes

* Thu Jul 09 2009 Ed Brand <edbrand@brandint.com> - 0.9-46
- Updates to man pages

* Thu Jul 09 2009 Ed Brand <<edbrand@brandint.com> - 0.9-45
- Fixes to $log_dir permission

* Sun Jul 05 2009 Ed Brand <edbrand@brandint.com> - 0.9-40
- Split man files into slog, sslogger and sreplay
- Chmod 775 $log_dir to allow normal user access
- Add check to slog to disallowe passing '-' when -c option is used

* Tue May 18 2009 Ed Brand <edbrand@brandint.com> - 0.9-32
- removed $global

* Sun Mar 29 2009 Ed Brand <edbrand@brandint.com> - 0.9-30
- Change Licence to GPLv3
- Misc. spec file fixes

